

/*
 *
 * HelveticaB35
 *
 * created with FontCreator
 * written by F. Maximilian Thiele
 *
 * http://www.apetech.de/fontCreator
 * me@apetech.de
 *
 * File Name           : HelveticaB35.h
 * Date                : 22.02.2012
 * Font size in bytes  : 4000
 * Font width          : 15
 * Font height         : 24
 * Font first char     : 48
 * Font last char      : 58
 * Font used chars     : 10
 *
 * The font data are defined as
 *
 * struct _FONT_ {
 *     uint16_t   font_Size_in_Bytes_over_all_included_Size_it_self;
 *     uint8_t    font_Width_in_Pixel_for_fixed_drawing;
 *     uint8_t    font_Height_in_Pixel_for_all_characters;
 *     unit8_t    font_First_Char;
 *     uint8_t    font_Char_Count;
 *
 *     uint8_t    font_Char_Widths[font_Last_Char - font_First_Char +1];
 *                  // for each character the separate width in pixels,
 *                  // characters < 128 have an implicit virtual right empty row
 *
 *     uint8_t    font_data[];
 *                  // bit field of all characters
 */

#ifndef HELVETICAB35_H
#define HELVETICAB35_H

#define HELVETICAB35_WIDTH 15
#define HELVETICAB35_HEIGHT 24

static unsigned int HelveticaB35[] = {
    0x0F, 0xA0, // size
    0x0F, // width
    0x18, // height
    0x30, // first char
    0x0A, // char count
    
    // char widths
    0x11, 0x0B, 0x11, 0x11, 0x12, 0x11, 0x11, 0x12, 0x11, 0x11, 
    
    
    // font data
    0x80, 0xF0, 0xFC, 0xFE, 0xFE, 0x7F, 0x1F, 0x0F, 0x0F, 0x0F, 0x1F, 0x7F, 0xFE, 0xFE, 0xFC, 0xF0, 0x80, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x01, 0x0F, 0x3F, 0x7F, 0x7F, 0xFE, 0xF8, 0xF0, 0xF0, 0xF0, 0xF8, 0xFE, 0x7F, 0x7F, 0x3F, 0x0F, 0x01, // 48
    0xE0, 0xE0, 0xE0, 0xF0, 0xF0, 0xFC, 0xFE, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, // 49
    0xE0, 0xF8, 0xFC, 0xFE, 0xFE, 0x3F, 0x1F, 0x0F, 0x0F, 0x0F, 0x1F, 0x3F, 0xFE, 0xFE, 0xFC, 0xF8, 0xE0, 0x01, 0x01, 0x01, 0x01, 0x81, 0x80, 0xC0, 0xE0, 0xE0, 0xF0, 0xF8, 0xFC, 0x7F, 0x3F, 0x1F, 0x0F, 0x07, 0xE0, 0xF8, 0xFE, 0xFF, 0xFF, 0xFF, 0xF7, 0xF3, 0xF1, 0xF1, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, // 50
    0x00, 0xE0, 0xF8, 0xFC, 0xFE, 0xFE, 0x1F, 0x0F, 0x0F, 0x0F, 0x1F, 0xFF, 0xFE, 0xFE, 0xFC, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x1E, 0x1E, 0x1F, 0x3F, 0xFF, 0xFF, 0xFF, 0xF1, 0xC0, 0x07, 0x1F, 0x3F, 0x7F, 0x7F, 0xFC, 0xF8, 0xF0, 0xF0, 0xF0, 0xF8, 0xFC, 0x7F, 0x7F, 0x3F, 0x1F, 0x07, // 51
    0x00, 0x00, 0x00, 0x00, 0x00, 0xC0, 0xF0, 0xF8, 0x7E, 0x3F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0xC0, 0xF0, 0xF8, 0xFE, 0xBF, 0x8F, 0x83, 0x81, 0x80, 0x80, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x80, 0x80, 0x80, 0x07, 0x07, 0x07, 0x07, 0x07, 0x07, 0x07, 0x07, 0x07, 0x07, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x07, 0x07, 0x07, // 52
    0x00, 0x00, 0xFE, 0xFF, 0xFF, 0xFF, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x00, 0x00, 0x3E, 0x3F, 0x3F, 0x3F, 0x3E, 0x1E, 0x0F, 0x0F, 0x0F, 0x1F, 0x3F, 0xFE, 0xFE, 0xFC, 0xF8, 0xE0, 0x06, 0x1E, 0x3E, 0x7E, 0x7E, 0xF8, 0xF0, 0xF0, 0xF0, 0xF0, 0xF8, 0x7C, 0x7F, 0x7F, 0x3F, 0x1F, 0x07, // 53
    0x80, 0xF0, 0xF8, 0xFC, 0xFE, 0x7E, 0x1F, 0x0F, 0x0F, 0x0F, 0x1F, 0x7F, 0x7E, 0x7C, 0x78, 0x70, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x3C, 0x1E, 0x0F, 0x0F, 0x0F, 0x1F, 0x3F, 0xFE, 0xFE, 0xFC, 0xF8, 0xE0, 0x01, 0x0F, 0x1F, 0x3F, 0x7F, 0xFC, 0xF8, 0xF0, 0xF0, 0xF0, 0xF8, 0xFC, 0x7F, 0x7F, 0x3F, 0x1F, 0x07, // 54
    0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x8F, 0xEF, 0xFF, 0xFF, 0xFF, 0x7F, 0x1F, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC0, 0xF0, 0xFC, 0xFF, 0xFF, 0x3F, 0x0F, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xE0, 0xFE, 0xFF, 0xFF, 0xFF, 0x1F, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // 55
    0x00, 0xF0, 0xFC, 0xFE, 0xFE, 0xFF, 0x1F, 0x0F, 0x0F, 0x0F, 0x1F, 0xFF, 0xFE, 0xFE, 0xFC, 0xF0, 0x00, 0xC0, 0xE1, 0xF3, 0xFF, 0xFF, 0x7F, 0x3F, 0x1E, 0x1E, 0x1E, 0x3F, 0x7F, 0xFF, 0xFF, 0xF3, 0xE1, 0xC0, 0x07, 0x1F, 0x3F, 0x7F, 0x7F, 0xFC, 0xF8, 0xF0, 0xF0, 0xF0, 0xF8, 0xFC, 0x7F, 0x7F, 0x3F, 0x1F, 0x07, // 56
    0xE0, 0xF8, 0xFC, 0xFE, 0xFE, 0x3F, 0x1F, 0x0F, 0x0F, 0x0F, 0x1F, 0x3F, 0xFE, 0xFC, 0xF8, 0xF0, 0x80, 0x07, 0x1F, 0x3F, 0x7F, 0x7F, 0xFC, 0xF8, 0xF0, 0xF0, 0xF0, 0x78, 0x3C, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x0E, 0x1E, 0x3E, 0x7E, 0xFE, 0xF8, 0xF0, 0xF0, 0xF0, 0xF8, 0x7E, 0x7F, 0x3F, 0x1F, 0x0F, 0x01 // 57
    
};

#endif
